from typing import *


VC_ACTION_BROKER : Any = ...
VC_ACTION_CLIENT : Any = ...
VC_ACTION_LOAD : Any = ...
"""Load component to the resource."""

VC_ACTION_LOOK : Any = ...
VC_ACTION_MOVE : Any = ...
"""Move resource component to the specific component (and location)."""

VC_ACTION_PROVIDER : Any = ...
VC_ACTION_REACH : Any = ...
VC_ACTION_SIT : Any = ...
VC_ACTION_STAND : Any = ...
VC_ACTION_TRANSPORT : Any = ...
"""Transport component to target component."""

VC_ACTION_UNLOAD : Any = ...
"""Unload component from resource to given component."""

VC_ACTION_WORK : Any = ...
"""Work for a specific time or using specific RSL sequence."""

VC_ACTIONCONTAINER : Any = ...
"""vcActionContainer"""

VC_ACTIONFIELD : int = 8
"""Used for sending and receiving actions associated with an Action Container, e.g. a robot and tool grasp and release action."""

VC_AMBIENT_OCCLUSION_NONE : Any = ...
"""Ambient occlusion rendering is not used."""

VC_AMBIENT_OCCLUSION_TEXTURE : Any = ...
VC_AMBIENT_OCCLUSION_VERTEX : Any = ...
"""Geometry uses vertex ambient occlusion values. Ambient occlusion value is located in the point texture coordinate U parameter. Ambient occlusion value is defined by a range of 0 - 1.0 in which 0 defines the point is fully occluded and 1.0 means the point is fully visible for lighting."""

VC_ANGULARCLONE : Any = ...
VC_APPROACH_AXIS_NEGATIVE_X : Any = ...
"""Approach from negative X-axis direction."""

VC_APPROACH_AXIS_NEGATIVE_Y : Any = ...
"""Approach from negative Y-axis direction."""

VC_APPROACH_AXIS_NEGATIVE_Z : Any = ...
"""Approach from negative Z-axis direction."""

VC_APPROACH_AXIS_POSITIVE_X : Any = ...
"""Approach from positive X-axis direction."""

VC_APPROACH_AXIS_POSITIVE_Y : Any = ...
"""Approach from positive Y-axis direction."""

VC_APPROACH_AXIS_POSITIVE_Z : Any = ...
"""Approach from positive Z-axis direction."""

VC_ARTICULATEDKINEMATICS : Any = ...
"""(Deprecated) vcBehaviour"""

VC_ASSEMBLYDATASOURCE_ASSEMBLYINSTANCE : Any = ...
VC_ASSEMBLYDATASOURCE_ASSEMBLYPRODUCTTYPE : Any = ...
VC_ASSEMBLYSTEPSELECTIONMODE_FIRSTCOMPLETE : Any = ...
VC_ASSEMBLYSTEPSELECTIONMODE_FIRSTEMPTY : Any = ...
VC_ASSEMBLYSTEPSELECTIONMODE_FIRSTINCOMPLETE : Any = ...
VC_ASSEMBLYSTEPSELECTIONMODE_LASTWITHPRODUCT : Any = ...
VC_ATTACHMENTFIELD : Any = ...
VC_AVAILABLE : Any = ...
"""Target is available."""

VC_BASECONTAINER : Any = ...
"""vcBehaviour"""

VC_BASEEXPORTFIELD : int = 6
"""Exports/Imports base definitions allowing connected components to use external bases."""

VC_BATCH_FEED_MODE : Any = ...
VC_BEHAVIOURSIGNAL : Any = ...
"""vcSignal"""

VC_BITMAP_DEPTH : Any = ...
VC_BITMAP_PROPERTY : Any = ...
VC_BITMAP_RGB : Any = ...
"""Bitmap format of red green blue color model."""

VC_BITMAP_RGBA : Any = ...
"""Bitmap format of red green blue alpha color model; uses RGB color model and allows for Alpha compositing (opacity and transparency)."""

VC_BLOCK : Any = ...
VC_BOOLEAN : Any = ...
"""A boolean property."""

VC_BOOLEAN_INTERSECTION : Any = ...
VC_BOOLEAN_NONE : Any = ...
VC_BOOLEAN_SUBTRACTION : Any = ...
VC_BOOLEAN_UNION : Any = ...
VC_BOOLEANPROPERTYCREATOR : Any = ...
"""vcFlow"""

VC_BOOLEANSIGNAL : Any = ...
"""vcBoolSignal"""

VC_BOOLEANSIGNALMAP : Any = ...
"""vcBooleanSignalMap"""

VC_BUCKETPATH : Any = ...
"""vcContainer"""

VC_BUFFERMODE_FIFO : Any = ...
"""First-In, First-Out order, like a queue."""

VC_BUFFERMODE_LIFO : Any = ...
"""Last-In, First-Out order, like a stack."""

VC_BUTTON : Any = ...
"""A button property."""

VC_CAPACITYCONTROLLER : Any = ...
"""vcBehaviour"""

VC_CARTESIANKINEMATICS : Any = ...
"""vcBehaviour"""

VC_CENTER_INSIDE : Any = ...
"""Checks if center of bounding box of specified node(s) is inside volume detector."""

VC_CHARTTYPE_AREA : Any = ...
"""Area chart."""

VC_CHARTTYPE_BAR : Any = ...
"""Bar chart."""

VC_CHARTTYPE_COLUMN : Any = ...
"""Column chart."""

VC_CHARTTYPE_LINE : Any = ...
"""Line chart."""

VC_CHARTTYPE_NONE : Any = ...
"""Empty chart."""

VC_CHARTTYPE_PIE : Any = ...
"""Pie chart."""

VC_COLOR_CONFIGURATION_BGRA : Any = ...
"""A BGRA color format."""

VC_COLOR_CONFIGURATION_RGBA : Any = ...
"""A RGBA color format."""

VC_COMMAND_MODE : Any = ...
"""Abort all active commands that also are of type VC_COMMAND_MODE, and execute on top of the others. The camera control commands that implement panning, orbiting and zooming all have this type."""

VC_COMMAND_NORMAL : Any = ...
"""Abort all active commands when this command starts."""

VC_COMMAND_OVERRIDE : Any = ...
"""Abort only the topmost command before executing this command. When command execution is completed any command that was aborted initially is restarted (only if the aborted command supports override activation)."""

VC_COMMAND_TOOL : Any = ...
"""Executes this command on top of all active commands. Any previously active commands are suspended, which resume when command execution is complete."""

VC_COMPACTLINESET : Any = ...
"""Contains line sets."""

VC_COMPAREMODE_COMPAREINORDER : Any = ...
"""Compare one product after another in the list"""

VC_COMPAREMODE_COMPARETOANY : Any = ...
"""Compare to any product within a list"""

VC_COMPARISONOPERATION_EQUAL : Any = ...
"""Equal operation within property filter"""

VC_COMPARISONOPERATION_GREATEROREQUAL : Any = ...
"""Greater or equal operation"""

VC_COMPARISONOPERATION_GREATERTHAN : Any = ...
"""Greater than operation"""

VC_COMPARISONOPERATION_LESSOREQUAL : Any = ...
"""Less or equal operation"""

VC_COMPARISONOPERATION_LESSTHAN : Any = ...
"""Less than operation"""

VC_COMPARISONOPERATION_NOTEQUAL : Any = ...
"""Not equal operation"""

VC_COMPONENT : Any = ...
"""Node is vcComponent."""

VC_COMPONENTCONTAINER : Any = ...
"""vcContainer"""

VC_COMPONENTCREATOR : Any = ...
"""vcComponentCreator"""

VC_COMPONENTFLOWPROXY : Any = ...
"""vcComponentFlowProxy"""

VC_COMPONENTGRABBER : Any = ...
"""(Deprecated) vcBehaviour"""

VC_COMPONENTPATHSENSOR : Any = ...
"""vcBehaviour"""

VC_COMPONENTSIGNAL : Any = ...
"""vcComponentSignal"""

VC_CONE : Any = ...
VC_CONNECTOR_CAPACITY_LEADING : Any = ...
"""Test before component's leading edge can transfer."""

VC_CONNECTOR_CAPACITY_ORIGIN : Any = ...
"""Test before component's origin can transfer."""

VC_CONNECTOR_CAPACITY_TRAILING : Any = ...
"""Test before component's trailing edge can transfer."""

VC_CONNECTOR_INPUT : Any = ...
"""Connection can receive components."""

VC_CONNECTOR_INPUT_OUTPUT : Any = ...
"""Connection can receive and send components."""

VC_CONNECTOR_NONE : Any = ...
"""Connection cannot receive or send components."""

VC_CONNECTOR_OUTPUT : Any = ...
"""Connection can send components."""

VC_CONTAINER : Any = ...
"""vcBehaviour"""

VC_CONTAINERFILLER : Any = ...
"""vcFlow"""

VC_CONTEXT_AUTHOR : Any = ...
""""Author" context for modeling components."""

VC_CONTEXT_CONFIGURE : Any = ...
""""Configure" context for building a layout."""

VC_CONTEXT_DRAWING : Any = ...
""""Drawing" context for creating drawings."""

VC_CONTEXT_PROCESS : Any = ...
""""Process" context for process modelling."""

VC_CONTEXT_TEACH : Any = ...
""""Teach" context for teaching robots."""

VC_CONTROLLER_COLLISIONS : Any = ...
"""Event type for a controller."""

VC_CONTROLLER_END : Any = ...
"""Event type for a controller."""

VC_CONTROLLER_RUNNING : Any = ...
"""Event type for a controller."""

VC_CONTROLLER_START : Any = ...
"""Event type for a controller."""

VC_CONTROLLER_STOP : Any = ...
"""Event type for a controller."""

VC_CONTROLLER_UNREACHABLE : Any = ...
"""Event type for a controller."""

VC_CONVEXHULL : int = 0
"""One convex hull with no decomposition."""

VC_CONVEXHULL_TRIMESH : int = 2
"""One convex hull for each triangle mesh"""

VC_CONVEYORTRANSPORTCONTROLLER : Any = ...
VC_CURVE_POLYLINE : Any = ...
"""A polyline curve (spline of degree 1)."""

VC_CURVE_SPLINE : Any = ...
"""A spline curve."""

VC_CURVE_TESSELLATED : Any = ...
"""A tessellated line or polyline."""

VC_CUTTING_COPY : Any = ...
VC_CUTTING_CUT : Any = ...
VC_CUTTING_MOVE : Any = ...
VC_CYLINDER : Any = ...
VC_DATATYPE_MINMAXAVERAGEVALUES : Any = ...
"""Used for cumulative statistics. For example, values that accumulate over time."""

VC_DATATYPE_ONESAMPLEDVALUE : Any = ...
"""Used for interval-based statistics. For example, discrete values reported for a recorded interval."""

VC_DECOMPOSITION : int = 1
"""Convex decomposition with one or more convex hulls."""

VC_DELTAKINEMATICS : Any = ...
"""vcBehaviour"""

VC_DISTRIBUTION : Any = ...
"""A real distribution property."""

VC_DISTRIBUTION_FEED_MODE : Any = ...
VC_DOCUMENTLINK : Any = ...
"""vcBehaviour"""

VC_DOF_CUSTOM : Any = ...
VC_DOF_DUMMY : Any = ...
VC_DOF_FIXED : Any = ...
VC_DOF_ROTATIONAL : Any = ...
VC_DOF_ROTATIONAL_FOLLOWER : Any = ...
VC_DOF_TRANSLATIONAL : Any = ...
VC_DOF_TRANSLATIONAL_FOLLOWER : Any = ...
VC_EDGE_BOUNDARY : Any = ...
"""The edge is shared with one polygon."""

VC_EDGE_CO_PLANAR : Any = ...
"""The angle between neighboring polygons is near zero."""

VC_EDGE_HARD : Any = ...
"""The angle between neighboring polygons is greater than the CreaseAngle of the vcPolygonSet."""

VC_EDGE_INTERSECTION : Any = ...
"""(Currently not implemented)"""

VC_EDGE_LINE : Any = ...
"""(Currently not implemented)"""

VC_EDGE_NON_MANIFOLD : Any = ...
"""The edge is shared with more than one polygon."""

VC_EDGE_SOFT : Any = ...
"""The angle between neighboring polygons is less than the CreaseAngle of the vcPolygonSet."""

VC_EVENT_KEYDOWN : Any = ...
VC_EVENT_KEYUP : Any = ...
VC_EVENT_MOUSEDOWN : Any = ...
VC_EVENT_MOUSEMOVE : Any = ...
VC_EVENT_MOUSEUP : Any = ...
VC_EVENT_NONE : Any = ...
VC_EVENT_WHEEL : Any = ...
VC_EXPORT_COMPLETE : Any = ...
"""Component geometry is fully exported into the 3D PDF document."""

VC_EXPORT_COMPONENT_BOUND : Any = ...
"""Component is exported as a block."""

VC_EXPORT_GEOMETRY_BOUND : Any = ...
"""Component geometry sets are exported as blocks."""

VC_EXPORT_NODE_BOUND : Any = ...
"""Component links are exported as blocks."""

VC_EXPORT_NONE : Any = ...
"""Component geometry is not exported into the 3D PDF document."""

VC_EXPRESSION : Any = ...
"""An expression property."""

VC_EXTRUDE : Any = ...
VC_FACE_ALL : Any = ...
VC_FACE_NURBS : Any = ...
"""A mathematical NURBS face."""

VC_FACE_PLANAR : Any = ...
"""A mathematical planar face."""

VC_FACE_TESSELATED : Any = ...
"""A tessellated face without mathematical representation."""

VC_FACEDISPLAY_ALL_CURVELOOPS : Any = ...
"""Display all surface curved loops."""

VC_FACEDISPLAY_FACE : Any = ...
"""Display shaded surface."""

VC_FACEDISPLAY_INNER_CURVELOOPS : Any = ...
"""Display only inner curved loop(s)."""

VC_FACEDISPLAY_OUTER_CURVELOOP : Any = ...
"""Display only surface outer curved loop."""

VC_FILTER_ACCEPTALL : Any = ...
"""Accept all filter"""

VC_FILTER_COMBINATION : Any = ...
"""Combination filter"""

VC_FILTER_CONFIGURABLEPRODUCTTYPE : Any = ...
"""Configurable product filter"""

VC_FILTER_EXPRESSION : Any = ...
"""Expression filter"""

VC_FILTER_PRODUCTPROPERTY : Any = ...
"""Product property filter"""

VC_FILTER_PRODUCTTYPE : Any = ...
"""Product type filter"""

VC_FILTER_PYTHON : Any = ...
VC_FILTER_SPECIFICPRODUCT : Any = ...
"""Specific product filter"""

VC_FILTERDIAGNOSTICMODE_DISABLED : Any = ...
"""Disable additional diagnostic messages"""

VC_FILTERDIAGNOSTICMODE_ENABLED : Any = ...
"""Enable additional diagnostic messages"""

VC_FILTERDIAGNOSTICMODE_GLOBAL : Any = ...
"""As global configuration specifies"""

VC_FILTEROPERATION_AND : Any = ...
"""And operation within combination filter"""

VC_FILTEROPERATION_OR : Any = ...
"""Or operation within combination filter"""

VC_FLOW : Any = ...
"""vcFlow"""

VC_FLOWFIELD : int = 0
"""Delivers material flow between two behaviors."""

VC_FORCE_BACKFACE_OFF : Any = ...
"""Backfaces of component geometry are invisible."""

VC_FORCE_BACKFACE_ON : Any = ...
"""Backfaces of component geometry are visible."""

VC_FRAME : Any = ...
VC_FRAMEDISPLAY_AXIS : Any = ...
"""Frames rendered using axis lines with the same material as the frame set."""

VC_FRAMEDISPLAY_COLOR_AXIS : Any = ...
"""Frames rendered using individually colored axis lines.
 Red
 X-axis
 Green
 Y-axis
 Blue
 Z-axis"""

VC_FRAMEDISPLAY_CUSTOM : Any = ...
"""Frames rendered using the icon defined in CustomIcon property."""

VC_FRAMEDISPLAY_DOT : Any = ...
"""Frames rendered as dots."""

VC_FRAMESET : Any = ...
"""Contains frame sets."""

VC_FRAMESIGNAL : Any = ...
"""vcSignal"""

VC_GENERICKINEMATICS : Any = ...
VC_GEOMETRY : Any = ...
VC_GEOMETRYSET : Any = ...
VC_GRAB_ASSEMBLY_DELETE_IF_EMPTY : Any = ...
"""If the detected product is the last product inside an assembly, the product will be grabbed and the empty assembly will be deleted and the product will be grabbed but rest of the assembly is left untouched."""

VC_GRAB_ASSEMBLY_GRAB : Any = ...
"""If the detected product is inside an assembly, the whole assembly will be grabbed."""

VC_GRAB_ASSEMBLY_KEEP : Any = ...
"""If the detected product is inside an assembly, the product will be grabbed but rest of the assembly is left untouched."""

VC_HIERARCHYFIELD : int = 1
"""Attaches this component into the hierarchy of the other component."""

VC_INDEXED_POINT : Any = ...
VC_INDEXED_SURFACE : Any = ...
VC_INDEXED_TRIANGLE : Any = ...
VC_INSIDE : Any = ...
"""Checks if bounding box of specified node(s) is completely inside volume detector."""

VC_INTEGER : Any = ...
"""An integer property."""

VC_INTEGERCOMPATIBILITYFIELD : int = 7
"""Used for controlling what interfaces can connect to. In order to connect, the opposing interface needs to have a matching integer compatibility field definition."""

VC_INTEGERPROPERTYCREATOR : Any = ...
"""vcFlow"""

VC_INTEGERSIGNAL : Any = ...
"""vcIntegerSignal"""

VC_INTERFACESECTION_NONE : Any = ...
VC_INTERPOLATINGTRANSPORTCONTROLLER : Any = ...
VC_INTERPOLATION_MODE_BASE : Any = ...
"""The External TCP property is set to false (base) or true (tool)."""

VC_INTERPOLATION_MODE_NONE : Any = ...
"""A base or tool frame has no effect on external configuration."""

VC_INTERPOLATION_MODE_TCP : Any = ...
"""The External TCP property is set to true (base) or false (tool)."""

VC_INTERSECT : Any = ...
"""Checks if specified node(s) intersects the surface of volume detector. This is similar to using a collision detector that detects the collision of geometry."""

VC_JOGINFO : Any = ...
"""vcBehaviour"""

VC_JOINT_EXTERNAL : Any = ...
VC_JOINT_ROBOT_INTERPOLATED : Any = ...
VC_JOINT_ROBOT_KINEMATIC : Any = ...
VC_JOINT_ROTATIONAL : Any = ...
"""Defines a joint assigned to a controller as a rotational joint."""

VC_JOINT_SERVO : Any = ...
VC_JOINT_TRANSLATIONAL : Any = ...
"""Defines a joint assigned to a controller as a linear joint."""

VC_JOINTAXIS_MINUS_X : Any = ...
"""Negative x-axis."""

VC_JOINTAXIS_MINUS_Y : Any = ...
"""Negative y-axis."""

VC_JOINTAXIS_MINUS_Z : Any = ...
"""Negative z-axis."""

VC_JOINTAXIS_PLUS_X : Any = ...
"""Positive x-axis."""

VC_JOINTAXIS_PLUS_Y : Any = ...
"""Positive y-axis."""

VC_JOINTAXIS_PLUS_Z : Any = ...
"""Positive z-axis."""

VC_JOINTEXPORTFIELD : int = 4
"""Exports the joint definitions allowing connected component to drive external joints."""

VC_JOINTTYPE_CUSTOM : Any = ...
"""A joint defined by an expression."""

VC_JOINTTYPE_DUMMY : Any = ...
VC_JOINTTYPE_FIXED : Any = ...
"""A static joint, which has no DOF object."""

VC_JOINTTYPE_ROTATIONAL : Any = ...
"""A rotational joint."""

VC_JOINTTYPE_ROTATIONAL_FOLLOWER : Any = ...
"""A rotational joint that is dependent on the value of another joint."""

VC_JOINTTYPE_TRANSLATIONAL : Any = ...
"""A linear joint."""

VC_JOINTTYPE_TRANSLATIONAL_FOLLOWER : Any = ...
"""A linear joint that is dependent on the value of another joint."""

VC_KINEMATICS : Any = ...
"""vcKinematics"""

VC_KRCCONNECTION : Any = ...
VC_LAYOUTITEM_IT_ANNOTATION : Any = ...
VC_LAYOUTITEM_IT_COLLISIONDETECTOR : Any = ...
VC_LAYOUTITEM_IT_DIMENSION : Any = ...
VC_LAYOUTITEM_IT_LAYOUTPACKFOLDER : Any = ...
VC_LAYOUTITEM_IT_LAYOUTPROPERTYLIST : Any = ...
VC_LAYOUTITEM_IT_LAYOUTSCHEMAPROPERTYLIST : Any = ...
VC_LAYOUTITEM_IT_PATHGENERATOR : Any = ...
VC_LAYOUTITEM_IT_PATHOBJECT : Any = ...
VC_LAYOUTITEM_IT_REPORTBOM : Any = ...
VC_LAYOUTITEM_IT_REPORTCHART : Any = ...
VC_LAYOUTITEM_IT_REPORTIMAGE : Any = ...
VC_LAYOUTITEM_IT_SWEPTVOLUME : Any = ...
VC_LAYOUTITEM_IT_VIEWANIMATION : Any = ...
VC_LIDARSENSOR : Any = ...
VC_LIGHT_AMBIENT : Any = ...
"""Ambient type of light."""

VC_LIGHT_DIRECTIONAL : Any = ...
"""Directional type of light."""

VC_LIGHT_ENVIRONMENT_MAP : Any = ...
VC_LIGHT_POINT : Any = ...
"""Point type of light."""

VC_LIGHT_SPOT : Any = ...
"""Spot type of light."""

VC_LINEARCLONE : Any = ...
VC_LINEDISPLAY_EXTRUDE : Any = ...
"""Connecting lines rendered by extruding the icon specified by CustomIcon along the lines."""

VC_LINEDISPLAY_LINE : Any = ...
"""Connecting lines rendered as a single line."""

VC_LINESET : Any = ...
"""Contains line primitives. (Deprecated) Use VC_COMPACTLINESET."""

VC_LIST_ADD : Any = ...
"""Adds an element to the list"""

VC_LIST_MOVE : Any = ...
VC_LIST_REMOVE : Any = ...
"""Removes an element from the list"""

VC_LIST_REPLACE : Any = ...
"""Replaces an element from the list"""

VC_LIST_RESET : Any = ...
"""Resets the list"""

VC_LOD : Any = ...
VC_MATCH_MODE_INDEPENDENT : Any = ...
"""The match is independent of process requirements."""

VC_MATCH_MODE_PROCESS_SOLVER : Any = ...
"""The match needs to meet particular process requirements."""

VC_MATCH_STATE_CANCELLED : Any = ...
"""The match has been cancelled before it was finalized."""

VC_MATCH_STATE_CREATED : Any = ...
"""This is the initial state where the match has been created."""

VC_MATCH_STATE_DISPOSED : Any = ...
"""The match has been finished or cancelled. The matched vcProductNeed and vcProductFeed are released, so that they van be re-used and matched again."""

VC_MATCH_STATE_FINALIZED : Any = ...
"""The match has been committed to, and the product can be sent to the next process."""

VC_MATERIAL : Any = ...
VC_MATERIAL_COLORMASK_ALPHA : Any = ...
"""Color used to render a RGBA color mask with opacity."""

VC_MATERIAL_COLORMASK_BLUE : Any = ...
"""Color used to render a RGB or RGBA color mask."""

VC_MATERIAL_COLORMASK_GREEN : Any = ...
"""Color used to render a RGB or RGBA color mask."""

VC_MATERIAL_COLORMASK_RED : Any = ...
"""Color used to render a RGB or RGBA color mask."""

VC_MATERIAL_DEPTH_ALWAYS : Any = ...
"""Depth testing passes always, so geometry pixels are rendered."""

VC_MATERIAL_DEPTH_EQUAL : Any = ...
"""Testing passes if geometry pixel distance is equal to Z buffer stored value."""

VC_MATERIAL_DEPTH_GEQUAL : Any = ...
"""Testing passes if geometry pixel distance is greater than or equal to Z buffer stored value."""

VC_MATERIAL_DEPTH_GREATER : Any = ...
"""Testing passes if geometry pixel distance is greater than Z buffer stored value."""

VC_MATERIAL_DEPTH_LEQUAL : Any = ...
"""Testing passes if geometry pixel distance is less than or equal to Z buffer stored value."""

VC_MATERIAL_DEPTH_LESS : Any = ...
"""Testing passes if geometry pixel distance is less than Z buffer stored value."""

VC_MATERIAL_DEPTH_NEVER : Any = ...
"""Testing never passes, so geometry pixels are not rendered."""

VC_MATERIAL_DEPTH_NOTEQUAL : Any = ...
"""Testing passes if geometry pixel distance is not equal to Z buffer stored value."""

VC_MATERIAL_DISABLED : Any = ...
"""Never use node's material."""

VC_MATERIAL_FORCE : Any = ...
VC_MATERIAL_FORCE_INHERIT : Any = ...
"""Inherit node's material to geometries in the node and all its child nodes."""

VC_MATERIAL_FORCE_INHERIT_LEVEL : Any = ...
"""Inherit node's material to all geometries on the same level. If node is world root then all the nodes in the world will be affected. If node is a component then all the nodes inside the component will be affected. Otherwise, only the node itself will be affected."""

VC_MATERIAL_FORCE_INHERIT_NODE : Any = ...
"""Inherit node's material to all geometries in this node."""

VC_MATERIAL_INHERIT : Any = ...
"""Inherit node's material to geometries in the node and its child nodes that do not have VC_MATERIAL_FORCE set."""

VC_MATERIAL_INHERIT_LEVEL : Any = ...
"""Inherit node's material to all geometries on the same level that do not VC_MATERIAL_FORCE set. If node is world root then all the nodes in the world will be affected. If node is a component then all the nodes inside the component will be affected. Otherwise, only the node itself will be affected."""

VC_MATERIAL_INHERIT_NODE : Any = ...
"""Inherit node's material to all geometries in the node that do not have VC_MATERIAL_FORCE set."""

VC_MATERIAL_MAP_NORMAL : Any = ...
"""Uses geometry texture coordinates U and V to map textures/project them."""

VC_MATERIAL_MAP_SPHERICAL : Any = ...
"""Uses spherical projection which calculates automatically texture coordinates."""

VC_MATERIAL_NORMAL_ORDER : Any = ...
"""Renders geometry during normal pass."""

VC_MATERIAL_POST_ORDER : Any = ...
"""Renders geometry after normal pass."""

VC_MATERIAL_POSTSORT_ORDER : Any = ...
"""Renders geometry using sorted order after normal rendering."""

VC_MATERIAL_PRE_ORDER : Any = ...
"""Renders geometry before normal rendering."""

VC_MATERIAL_SET : Any = ...
VC_MATERIAL_TRANSPARENCY_CONSTANT : Any = ...
"""Opacity is constant using an Opacity value."""

VC_MATERIAL_TRANSPARENCY_MAP : Any = ...
"""Opacity uses a texture alpha map to define what areas are opaque.
 Alpha value of 0.5 is used as a threshold."""

VC_MATERIAL_TRANSPARENCY_NONE : Any = ...
"""Defines opacity not be used in the material."""

VC_MATRIX : Any = ...
"""A matrix property."""

VC_MATRIXMODE_AXISWPR : Any = ...
"""Interpolates yaw, pitch and roll angles separately for movement."""

VC_MATRIXMODE_AXISX : Any = ...
"""Rotates with minimal movement around X-axis."""

VC_MATRIXMODE_AXISY : Any = ...
"""Rotates with minimal movement around Y-axis."""

VC_MATRIXMODE_AXISZ : Any = ...
"""Rotates with minimal movement around Z-axis."""

VC_MATRIXMODE_AXISZYZ : Any = ...
"""Interpolates Euler angles separately for movement."""

VC_MATRIXMODE_AXIZYZ : Any = ...
VC_MATRIXMODE_ONEAXIS : Any = ...
"""Rotates around axis of shortest rotation for movement."""

VC_MATRIXMODE_WRIST : Any = ...
"""Rotates by directly interpolating wrist joints for movement."""

VC_MATRIXSIGNAL : Any = ...
"""vcMatrixSignal"""

VC_MENU_ADDONS : Any = ...
VC_MENU_BEHAVIOUR : Any = ...
VC_MENU_DRAWING : Any = ...
"""When Drawing tab is active, context menu of drawing world."""

VC_MENU_FEATURE : Any = ...
"""When Modeling tab is active, context menu of node feature tree in Component Graph panel."""

VC_MENU_GEOMETRY : Any = ...
VC_MENU_HOME : Any = ...
"""When Home tab is active, context menu of 3D world."""

VC_MENU_MODELING : Any = ...
VC_MENU_MODELING_TOOLGALLERY_FEATURE : Any = ...
"""On Modeling tab, in Geometry group, Tools menu."""

VC_MENU_MODELING_TOOLS : Any = ...
VC_MENU_MODELING_WIZARDS : Any = ...
"""On the Modeling tab, in the Extra group, Wizards menu. This requires a string that designates an existing or new section in the Wizards menu.
 VC_MENU_MODELING_WIZARDS + '/<SectionName>'"""

VC_MENU_MODELING_WIZARDS_LITE : Any = ...
VC_MENU_PROGRAM_EXPORT_PROGRAMS : Any = ...
"""On the Program tab, in the Program Modules group, Export menu. This requires a string that designates an existing or new section in the Export menu.
 VC_MENU_PROGRAM_EXPORT_PROGRAMS + '/<SectionName>'"""

VC_MENU_PROGRAM_IMPORT_PROGRAMS : Any = ...
"""On the Program tab, in the Program Modules group, Import menu. This requires a string that designates an existing or new section in the Import menu.
 VC_MENU_PROGRAM_IMPORT_PROGRAMS + '/<SectionName>'"""

VC_MENU_PROGRAM_STATEMENT : Any = ...
"""When the Program tab is active, context menu of statements in robot program displayed in Program Editor panel."""

VC_MENU_RSLPROCESS : Any = ...
VC_MENU_STATISTICS_TEMPLATE : Any = ...
VC_MENU_TEMPLATEBOM : Any = ...
VC_MENU_TEMPLATECHART : Any = ...
VC_MESSAGE_BUTTONS_ABORTRETRYIGNORE : int = 0
"""Displays Abort, Retry and Ignore buttons."""

VC_MESSAGE_BUTTONS_OK : int = 1
"""Displays OK button."""

VC_MESSAGE_BUTTONS_OKCANCEL : int = 2
"""Displays OK and Cancel buttons."""

VC_MESSAGE_BUTTONS_RETRYCANCEL : int = 3
"""Displays Retry and Cancel buttons."""

VC_MESSAGE_BUTTONS_YESNO : int = 4
"""Displays Yes and No buttons."""

VC_MESSAGE_BUTTONS_YESNOCANCEL : int = 5
"""Displays Yes, No and Cancel buttons."""

VC_MESSAGE_RESULT_ABORT : int = 0
"""Returns Abort message, e.g. Abort button clicked."""

VC_MESSAGE_RESULT_CANCEL : int = 1
"""Returns Cancel message."""

VC_MESSAGE_RESULT_IGNORE : int = 2
"""Returns Ignore message."""

VC_MESSAGE_RESULT_NO : int = 3
"""Returns No message."""

VC_MESSAGE_RESULT_OK : int = 4
"""Returns OK message."""

VC_MESSAGE_RESULT_RETRY : int = 5
"""Returns Retry message."""

VC_MESSAGE_RESULT_YES : int = 6
"""Returns Yes message."""

VC_MESSAGE_TYPE_CUSTOM : int = 4
"""Displays Custom type message."""

VC_MESSAGE_TYPE_ERROR : int = 3
"""Displays Error type message."""

VC_MESSAGE_TYPE_INFO : int = 0
"""Displays Information type message."""

VC_MESSAGE_TYPE_QUESTION : int = 1
"""Displays Question type message."""

VC_MESSAGE_TYPE_WARNING : int = 2
"""Displays Warning type message."""

VC_MIRROR : Any = ...
VC_MOTION_BLOCKED : Any = ...
"""The component has been stopped because it is being blocked by a component or conveyor in front of it."""

VC_MOTION_FAILURE : Any = ...
"""The component has been stopped as a result of the conveyor entering a failure state."""

VC_MOTION_JOINT : Any = ...
"""Joint type of movement executed by robot. See also Motion Target Constants."""

VC_MOTION_LINEAR : Any = ...
"""Linear motion executed by robot."""

VC_MOTION_MOVING : Any = ...
"""The component is moving on the conveyor."""

VC_MOTION_NONE : Any = ...
VC_MOTION_STOPPED : Any = ...
"""The component is stopped, either because the conveyor or the component itself has been explicitly stopped."""

VC_MOTIONCONTROLLER : Any = ...
VC_MOTIONTARGET_AM_DISTANCE : Any = ...
"""Defines the accuracy for a motion target based on distance, e.g. 5 mm."""

VC_MOTIONTARGET_AM_TIME : Any = ...
"""Defines the accuracy for a motion target based on time, e.g. a time limit for reachability. An accuracy method that utilizes time should be considered if, for example, a user sets a Cycle Time for a particular motion."""

VC_MOTIONTARGET_AM_VELOCITY : Any = ...
"""Defines the accuracy for a motion target based on velocity."""

VC_MOTIONTARGET_CM_FIXED : Any = ...
"""A robot's configuration does not change (no change)."""

VC_MOTIONTARGET_CM_FOLLOW_FRAME : Any = ...
"""A robot's configuration changes slightly to minimize joint value difference between its previous configuration (small change)."""

VC_MOTIONTARGET_CM_INTERPOLATE_JOINT_VALUES : Any = ...
"""A robot's configuration is determined by point to point interpolation of its joint values."""

VC_MOTIONTARGET_KW_JOINTLIMIT : Any = ...
"""Motion target cannot be reached due to joint limit constraints."""

VC_MOTIONTARGET_KW_OK : Any = ...
"""Motion target can be reached."""

VC_MOTIONTARGET_KW_SINGULAR : Any = ...
"""Motion target, or the position creates a singularity, i.e. infinite solutions when one or two joints no longer represent independent controlling variables. For example, joints have a 0º value and become parallel."""

VC_MOTIONTARGET_KW_UNREACHABLE : Any = ...
"""Motion target cannot be reached."""

VC_MOTIONTARGET_MT_CIRCLE : Any = ...
VC_MOTIONTARGET_MT_JOINT : Any = ...
"""Joint type of motion a robot controller uses to move to a target, i.e. motion is based on joint values and tolerance."""

VC_MOTIONTARGET_MT_LINEAR : Any = ...
"""Linear type of motion a robot controller uses to move to a target. For example, the motion itself is a straight or linear motion based on a vector from a start point to target position."""

VC_MOTIONTARGET_MT_SPLINE : Any = ...
VC_MOTIONTARGET_TM_EXTERNALBASE : Any = ...
"""The target matrix relates to an external base in relation to a robot."""

VC_MOTIONTARGET_TM_NORMAL : Any = ...
"""The target matrix uses a default or normal type of relationship with a robot."""

VC_MOTIONTARGET_TM_ROBOTROOT : Any = ...
"""The target matrix relates to a robot's root node."""

VC_MOTIONTARGET_TM_STATICTOOL : Any = ...
"""The target matrix relates to a robot's static tool."""

VC_MOTIONTARGET_TM_WORLDTARGET : Any = ...
"""The target matrix relates to a world target in relation to a robot."""

VC_MOTIONTARGET_TURN_FIXED : Any = ...
VC_MOTIONTARGET_TURN_NEAREST : Any = ...
"""Similar to turning within limits, except solution is not restricted to limitations of joints."""

VC_MOTIONTARGET_TURN_NEAREST_WITHIN_LIMITS : Any = ...
"""A joint's turn behavior is based on a solution nearest to the target position and within the joint's limits."""

VC_MOTIONTARGET_TURN_ZERO : Any = ...
"""A joint's turn behavior is based on a solution within -180º to 180º and within the joint's limits.
 Some robots can perform motions ± 360 degrees."""

VC_MOVECOORD_BASE : Any = ...
VC_MOVECOORD_TOOL : Any = ...
VC_MOVECOORD_WORLD : Any = ...
VC_NODE : Any = ...
"""Node is vcNode. Node can never exist without a component."""

VC_NODE_ADD_FIRST_CHILD : Any = ...
"""Node2 is added as first child for node1."""

VC_NODE_ADD_LAST_CHILD : Any = ...
"""Node2 is added as last child for node1."""

VC_NODE_DEBUG : Any = ...
VC_NODE_INSERT_AFTER_SIBLING : Any = ...
"""Node2 is added as sibling after node1."""

VC_NODE_INSERT_BEFORE_SIBLING : Any = ...
"""Node2 is added as sibling before node1."""

VC_NODE_INSERT_FIRST_SIBLING : Any = ...
"""Node2 is added as first sibling for node1."""

VC_NODE_INSERT_LAST_SIBLING : Any = ...
"""Node2 is added as last sibling for node1."""

VC_NODE_REBUILD : Any = ...
"""The component node tree is rebuilt."""

VC_NODE_REMOVE_NODE : Any = ...
"""Node1 is removed."""

VC_NODE_REPLACE_NODE : Any = ...
"""Node1 is replaced by node2."""

VC_NODE_UPDATE_NODE : Any = ...
"""Node1 is updated."""

VC_NODELIST : Any = ...
"""vcNodeList"""

VC_NODELIST_COMPONENT : Any = ...
"""Adds all nodes in the same component."""

VC_NODELIST_EXCLUDE : Any = ...
"""Excludes the node in test."""

VC_NODELIST_INCLUDE : Any = ...
"""Includes the node in test."""

VC_NODELIST_NODE : Any = ...
"""Adds only the node not its child nodes."""

VC_NODELIST_TREE : Any = ...
"""Adds the node and its child nodes."""

VC_NODEVISIBILITYSTATE_INVISIBLE : Any = ...
"""Make the node invisible."""

VC_NODEVISIBILITYSTATE_TOGGLE : Any = ...
"""Toggle between visible and invisible."""

VC_NODEVISIBILITYSTATE_VISIBLE : Any = ...
"""Make the node visible."""

VC_NOT_AVAILABLE : Any = ...
"""Target is not available for transportation, e.g. no capacity."""

VC_NOTE : Any = ...
"""vcBehaviour"""

VC_ONEDIRECTIONALPATH : Any = ...
"""(Deprecated) vcContainer"""

VC_ONETOMANYINTERFACE : Any = ...
"""vcSimInterface"""

VC_ONETOONEINTERFACE : Any = ...
"""vcSimInterface"""

VC_ONEWAYPATH : Any = ...
"""vcMotionPath"""

VC_PACK_FOLDER_DEFINED : Any = ...
VC_PACK_FOLDER_MAPPED : Any = ...
VC_PACK_FOLDER_NOT_DEFINED : Any = ...
VC_PARALLELLOGRAMKINEMATICS : Any = ...
"""vcBehaviour"""

VC_PARTICLESYSTEM : Any = ...
"""(Deprecated) vcBehaviour"""

VC_PATH_AXIS_AUTOMATIC : Any = ...
"""The general direction of the path is determined and the most appropriate axis is selected automatically. If the axis cannot be determined to a reasonable tolerance, VC_PATH_AXIS_GENERIC is used."""

VC_PATH_AXIS_GENERIC : Any = ...
"""A worst-case maximum extent value is calculated from the component bound box, and used to space the component."""

VC_PATH_AXIS_X_NEGATIVE : Any = ...
"""The distance from the origin to the minimum X axis extent of the component bound box is used to space the component."""

VC_PATH_AXIS_X_POSITIVE : Any = ...
"""The distance from the origin to the maximum X axis extent of the component bound box is used to space the component. This corresponds to the behavior of the old conveyor types."""

VC_PATH_AXIS_Y_NEGATIVE : Any = ...
"""The distance from the origin to the minimum Y axis extent of the component bound box is used to space the component."""

VC_PATH_AXIS_Y_POSITIVE : Any = ...
"""The distance from the origin to the maximum Y axis extent of the component bound box is used to space the component."""

VC_PATH_AXIS_Z_NEGATIVE : Any = ...
"""The distance from the origin to the minimum Z axis extent of the component bound box is used to space the component."""

VC_PATH_AXIS_Z_POSITIVE : Any = ...
"""The distance from the origin to the maximum Z axis extent of the component bound box is used to space the component."""

VC_PATH_BACKWARD : Any = ...
"""Conveyor contents are moved backwards from the last frame to the first frame."""

VC_PATH_BACKWARD_AUTO : Any = ...
"""Similar to VC_PATH_BACKWARD. However, the conveyor automatically changes direction to VC_PATH_FORWARD_AUTO if a component is transferred in from the conveyor's first connector (InOut1)."""

VC_PATH_CUBIC : Any = ...
"""A cubic spline is used to interpolate the path from one frame to the next."""

VC_PATH_FORWARD : Any = ...
"""Conveyor contents are moved forwards from the first frame to the last frame."""

VC_PATH_FORWARD_AUTO : Any = ...
"""Similar to VC_PATH_FORWARD. However, the conveyor automatically changes direction to VC_PATH_BACKWARD_AUTO if a component is transferred in from the conveyor's second connector (InOut2)."""

VC_PATH_LEADING_EDGE_TRIGGER : Any = ...
"""Sensor is triggered by the leading edge of the component."""

VC_PATH_LINEAR : Any = ...
"""The path is interpolated as straight lines between the frames."""

VC_PATH_NO_TRIGGER : Any = ...
"""Sensor is not triggered at all by the component."""

VC_PATH_ORIGIN_TRIGGER : Any = ...
"""Sensor is triggered by the origin of the component."""

VC_PATH_STEP : Any = ...
"""No interpolation is performed between frames, so a component's position changes from one frame to the next without any movement in between frames."""

VC_PATH_TRAILING_EDGE_TRIGGER : Any = ...
"""Sensor is triggered by the trailing edge of the component."""

VC_PATHOBJECT_NT_ACTION : Any = ...
VC_PATHOBJECT_NT_ANY : Any = ...
VC_PATHOBJECT_NT_MOTION : Any = ...
VC_PATHOBJECT_NT_PARAMETER : Any = ...
VC_PATHOBJECT_NT_REFERENCE : Any = ...
VC_PATHOBJECT_NT_TRAJECTORY : Any = ...
VC_PATTERNCONTAINER : Any = ...
"""vcPatternContainer"""

VC_PHYSICS_INCONTAINER : Any = ...
"""Object affected by physics, and system monitors transition of object into and out of containers."""

VC_PHYSICS_INPHYSICS : Any = ...
"""Object affected by physics, including internal and external forces."""

VC_PHYSICS_KINEMATIC : Any = ...
"""Object affected by physics, excluding internal forces such as gravity."""

VC_PHYSICS_OUTOFPHYSICS : Any = ...
"""Object not affected by physics."""

VC_PHYSICSCOLLIDER_BOX : Any = ...
"""Collider is a bounding box encompassing all geometry of feature and its subfeatures."""

VC_PHYSICSCOLLIDER_BOXES : Any = ...
"""Collider is a set of bounding boxes, one for each geometry set of feature and its subfeatures."""

VC_PHYSICSCOLLIDER_NONE : Any = ...
"""Collider not created for feature, for example root feature of node."""

VC_PHYSICSCOLLIDER_PRECISE : Any = ...
"""Collider is convex hull encompassing all geometry of feature and its subfeatures."""

VC_PHYSICSCOLLIDER_UNSPECIFIED : Any = ...
"""Collider is not defined nor created for feature."""

VC_PHYSICSCONTACTMODIFIER : Any = ...
VC_PHYSICSCONTAINER : Any = ...
VC_PHYSICSCONTAINERII : Any = ...
VC_PHYSICSENTITY : Any = ...
VC_PHYSICSJOINTDISTANCE : Any = ...
VC_PHYSICSJOINTPOINTONLINE : Any = ...
VC_PHYSICSJOINTPOINTONPLANE : Any = ...
VC_PHYSICSJOINTPRISMATIC : Any = ...
VC_PHYSICSJOINTREVOLUTE : Any = ...
VC_PHYSICSJOINTSPHERICAL : Any = ...
VC_PHYSICSPATH : Any = ...
VC_PHYSX_LOG_ERRORS : Any = ...
VC_PHYSX_VISUAL_DEBUGGER : Any = ...
VC_PLANE : Any = ...
VC_POINTSET : Any = ...
"""Contains point sets."""

VC_POLYGONSET : Any = ...
"""Contains polygonal primitives. (Deprecated) Use VC_TRIANGLESET."""

VC_POSITIONPATH : Any = ...
VC_PROCESSCONTROLLER : Any = ...
VC_PROCESSEXECUTOR : Any = ...
"""vcProcessExecutor"""

VC_PROCESSMODE_ALLINANYORDER : Any = ...
"""All process groups must be visited, before moving to next step."""

VC_PROCESSMODE_FIRSTMATCH : Any = ...
"""Only one of process groups must be visited, before moving to next step."""

VC_PROCESSORFIELD : int = 10
"""Used for parent/child connection and interaction with path and sensor behaviors contained in separate components."""

VC_PROCESSPOINT : Any = ...
"""vcProcessPointSensor"""

VC_PROCESSPOINT_OWNER : Any = ...
"""Owner component of the behavior used."""

VC_PROCESSPOINT_PROCESSED : Any = ...
"""Component being processed is used."""

VC_PROCESSPOINT_STOP_COMPONENT : Any = ...
"""Processing stops only processed component at path."""

VC_PROCESSPOINT_STOP_PATH : Any = ...
"""Processing stops all components in the path."""

VC_PROCESSRESOURCEBROKER : Any = ...
VC_PRODUCTCREATOR : Any = ...
"""vcProductCreator"""

VC_PROPERTY_DEFAULT : Any = ...
"""No constraints used."""

VC_PROPERTY_FREE : Any = ...
VC_PROPERTY_LIMIT : Any = ...
"""Property will have upper and lower limits."""

VC_PROPERTY_STEP : Any = ...
"""Property will have defined steps."""

VC_PROPERTYSIGNALADAPTER : Any = ...
VC_PYTHON_PROCESS_HANDLER : Any = ...
VC_PYTHONFEATURE : Any = ...
VC_PYTHONKINEMATICS : Any = ...
"""vcBehaviour"""

VC_PYTHONPROCESSHANDLER : Any = ...
"""vcRslProcessHandler"""

VC_PYTHONSCRIPT : Any = ...
VC_PYTHONTRANSPORTCONTROLLER : Any = ...
"""vcPythonTransportController"""

VC_QUANTITY_SCALAR : Any = ...
"""Quantity type in which a magnitude or numerical value is given."""

VC_QUANTITY_VECTOR : Any = ...
"""Quantity type in which both a magnitude or numerical value and direction are given."""

VC_RAYCASTSENSOR : Any = ...
"""vcBehaviour"""

VC_RCS_KUKA : Any = ...
"""RCS DLL for KUKA robots."""

VC_REAL : Any = ...
"""A real property."""

VC_REALPROPERTYCREATOR : Any = ...
"""vcFlow"""

VC_REALSIGNAL : Any = ...
"""vcRealSignal"""

VC_REALSIGNALMAP : Any = ...
"""vcBehaviour"""

VC_RECORDER_PDF : Any = ...
"""Records a PDF file for a simulation."""

VC_RECORDER_VIDEO : Any = ...
"""Records a video file for a simulation."""

VC_REDIRECTED : Any = ...
"""Target is available as redirected. For example, a machine has a buffer where it places components instead of allowing the component to be transported directly to the machine."""

VC_RENDER_CLIPPING_AUTOMATIC : Any = ...
VC_RENDER_CLIPPING_CLASSIC : Any = ...
VC_RENDER_CLIPPING_MANUAL : Any = ...
VC_REPORT_BARCHART : Any = ...
VC_REPORT_EVENT : Any = ...
VC_REPORT_GANTTCHART : Any = ...
VC_REPORT_INTERVAL : Any = ...
VC_REPORT_LINECHART : Any = ...
VC_REPORT_PIECHART : Any = ...
VC_REPORT_USER : Any = ...
VC_REVOLVE : Any = ...
VC_ROBOTCONTROLLER : Any = ...
"""vcRobotController"""

VC_ROBOTEXECUTOR : Any = ...
"""vcExecutor"""

VC_ROUTING_OWNER : Any = ...
"""Owner component of the behavior is used for rule processing."""

VC_ROUTING_PROCESSED : Any = ...
"""Component being routed is used for rule processing."""

VC_ROUTINGRULE : Any = ...
"""vcRoutingRule"""

VC_RRSROBOTCONTROLLER : Any = ...
"""vcRrsRobotController"""

VC_RSLEXECUTOR : Any = ...
"""(Deprecated) vcRslProgramExecutor"""

VC_RSLFIELD : int = 3
"""(Deprecated) Publishes/subscribes vcRslRoutine objects of RSL programs between components."""

VC_SCARAKINEMATICS : Any = ...
"""(Deprecated) vcBehaviour"""

VC_SCRIPT : Any = ...
"""vcScript"""

VC_SELECTION_ANNOTATION : Any = ...
VC_SELECTION_COMPONENT : Any = ...
VC_SELECTION_DIMENSION : Any = ...
VC_SELECTION_FEATURE : Any = ...
VC_SELECTION_GEOMETRYSET : Any = ...
VC_SELECTION_NODE : Any = ...
VC_SELECTION_PARENTNODE : Any = ...
VC_SELECTION_ROBOTBASE : Any = ...
VC_SELECTION_ROBOTTOOL : Any = ...
VC_SELECTION_STATEMENT : Any = ...
VC_SERVOCONTROLLER : Any = ...
"""vcServoController"""

VC_SHIFTSTATE_ALT : Any = ...
"""An Alt key is pressed."""

VC_SHIFTSTATE_CTRL : Any = ...
"""A control key is pressed."""

VC_SHIFTSTATE_DOUBLE : Any = ...
VC_SHIFTSTATE_LEFT : Any = ...
VC_SHIFTSTATE_MIDDLE : Any = ...
VC_SHIFTSTATE_NOSHIFT : Any = ...
VC_SHIFTSTATE_RIGHT : Any = ...
VC_SHIFTSTATE_SHIFT : Any = ...
"""A shift key is pressed."""

VC_SHIFTSTATE_SINGLE : Any = ...
VC_SIGNALFIELD : int = 2
"""Delivers signals to behaviors that the signal is connected to. Allows communication between components."""

VC_SIGNALMAP_DIRECTION_INPUT : Any = ...
"""Sets the signal map direction to Input."""

VC_SIGNALMAP_DIRECTION_OUTPUT : Any = ...
"""Sets the signal map direction to Output."""

VC_SIGNALMAP_DIRECTION_UNDEFINED : Any = ...
"""Sets the signal map direction to Undefined."""

VC_SIMULATION_BALANCED : int = 1
"""Use this mode to simulate component movements in a way that is balanced with performance of simulation, thereby component may move from point to point without simulating unnecessary joint motions."""

VC_SIMULATION_DEFAULT : Any = ...
VC_SIMULATION_DETAILED : int = 0
"""Use this mode to simulate component movements as accurate as possible, thereby simulating full range of motion for component."""

VC_SIMULATION_FAST : int = 2
"""Use this mode to simulate component movements as quickly as possible, thereby component may snap to joint configuration or jump from point to point."""

VC_SINGLE_FEED_MODE : Any = ...
VC_SOLUTION_JOINT_LIMIT : int = 2
"""Indicates joint values for solution exceed limits."""

VC_SOLUTION_NOT_CALCULATED : int = 8
"""Indicates joint values have not been calculated for solution."""

VC_SOLUTION_REACHABLE : int = 0
"""Indicates solution target is reachable."""

VC_SOLUTION_SINGULARITY : int = 4
"""Indicates solution causes joint singularity."""

VC_SOLUTION_UNREACHABLE : int = 1
"""Indicates solution target is unreachable."""

VC_SPHERE : Any = ...
VC_STATEMENT_APPENDTOLIST : Any = ...
"""Joins content of source variable to end of the target variable."""

VC_STATEMENT_ATTACHPRODUCT : Any = ...
"""Attaches one product to another."""

VC_STATEMENT_BREAK : Any = ...
"""Creates a break statement which is used to terminate the loop immediately when it is encountered."""

VC_STATEMENT_BUFFERPRODUCTS : Any = ...
"""Buffer statement creates a temporary storage for products in a grid pattern. Multiple products can be coming in and leaving the buffer in parallel."""

VC_STATEMENT_CALL : Any = ...
"""Calls a subroutine sequence/program."""

VC_STATEMENT_CHANGEPRODUCTTYPE : Any = ...
"""Change Type statement changes one or more product instances to be of another product type both logically and visually."""

VC_STATEMENT_CHECKASSEMBLY : Any = ...
VC_STATEMENT_COMMENT : Any = ...
"""Creates a comment statement."""

VC_STATEMENT_CONSTRUCT : Any = ...
VC_STATEMENT_CONTINUE : Any = ...
"""Creates a continue statement which is used to skip the current iteration of the loop and move to the next iteration."""

VC_STATEMENT_CREATEPRODUCT : Any = ...
"""Create product statement waits for free capacity at the target Container and then creates a new product instance."""

VC_STATEMENT_CUSTOM : Any = ...
"""Creates a template for executing a user-defined statement."""

VC_STATEMENT_DEFINE_BASE : Any = ...
"""Defines a base location for RSL programming."""

VC_STATEMENT_DEFINE_TOOL : Any = ...
"""Defines a tool location for RSL programming."""

VC_STATEMENT_DELAY : Any = ...
"""Creates a user defined delay measured in seconds."""

VC_STATEMENT_DETACHPRODUCT : Any = ...
"""Detach statement detaches one or more components of one or more products from the component of a common parent product."""

VC_STATEMENT_FEEDPRODUCT : Any = ...
VC_STATEMENT_FINDFLOWSTEP : Any = ...
"""Finds next or previous process flow steps relative to an existing flow step."""

VC_STATEMENT_GETASSEMBLY : Any = ...
VC_STATEMENT_GETASSEMBLYSTEPPROPERTY : Any = ...
VC_STATEMENT_GETFLOWSTEP : Any = ...
"""A GetFlowStatement gets information about a step in a process sequence to a ProcessFlowInfo process variable."""

VC_STATEMENT_GETPRODUCTS : Any = ...
VC_STATEMENT_GETPROPERTY : Any = ...
"""Get Property statement creates a runtime variable that acts as a proxy to a property. The proxy variable’s value and the targeted property’s value are tied together such that changing one means changing the other as well. The targeted property can be a static component’s property or a static component’s behavior’s property."""

VC_STATEMENT_GETRESOURCE : Any = ...
VC_STATEMENT_GRASP : Any = ...
"""(Deprecated) Creates a Grasp action for a robot's tool."""

VC_STATEMENT_HALT : Any = ...
"""Creates a halt statement which is used to stop the simulation."""

VC_STATEMENT_HOME : Any = ...
"""(Deprecated) Returns to default robot state pre-simulation."""

VC_STATEMENT_IF : Any = ...
"""Creates a conditional statement for executing a collection of statements if a given expression evaluates as True."""

VC_STATEMENT_LINMOTION : Any = ...
"""Creates a linear motion for a robot to a position; similar to VC_MOTION_LINEAR."""

VC_STATEMENT_MOTIONMODE : Any = ...
VC_STATEMENT_MOVEJOINT : Any = ...
"""Move Joint statement uses a servo controller behavior to move a joint to given value and waits until the motion completes."""

VC_STATEMENT_PATH : Any = ...
"""Creates a statement for executing a path of positions."""

VC_STATEMENT_PRINT : Any = ...
"""Prints feedback to the Output panel."""

VC_STATEMENT_PROCESS : Any = ...
"""Creates a position statement of type vcPositionStatement that is implemented as a process statement."""

VC_STATEMENT_PROCESSDELAY : Any = ...
"""Delay statement waits for a specified amount of simulation time."""

VC_STATEMENT_PROCESSIF : Any = ...
"""Creates a conditional statement for executing a collection of statements if a given expression evaluates as True."""

VC_STATEMENT_PROCESSPRINT : Any = ...
VC_STATEMENT_PROCESSWHILE : Any = ...
"""While statement executes Scope in a loop as long as Condition evaluates to True."""

VC_STATEMENT_PROG_SYNC : Any = ...
"""Creates a method for synchronizing robotic motions with two or more robots."""

VC_STATEMENT_PROPERTYCONDITION : Any = ...
"""Creates a process requirement based on a property value. The targeted property can be a static component’s property or a static component’s behavior’s property.
 Note: This is a requirement statement and thus can be only added to the Requirements routine of a process routine."""

VC_STATEMENT_PTPMOTION : Any = ...
"""Creates a point to point motion using a robot's joints; similar to VC_MOTION_JOINT."""

VC_STATEMENT_RELEASE : Any = ...
"""(Deprecated) Creates a Release action for a robot's tool."""

VC_STATEMENT_RELEASEPRODUCTRESERVATION : Any = ...
"""Release Product Reservation statement releases reserved product instances which are reserved by ReserveProduct one or more statements. Reservation cannot be released after a product’s transport has started."""

VC_STATEMENT_RELEASERESOURCE : Any = ...
VC_STATEMENT_REMOTECALL : Any = ...
"""(Deprecated) Triggers a remote robotic action via a subscriber to a publisher, i.e. parent robot triggers child sequence/program."""

VC_STATEMENT_REMOTEWAIT : Any = ...
"""(Deprecated) Defines if a robot waits for remote action to finish or to receive IO in a parent-child relationship."""

VC_STATEMENT_REMOVEPRODUCT : Any = ...
"""Remove statement deletes one or more product instances and resets value of the variable."""

VC_STATEMENT_RESERVEPRODUCT : Any = ...
"""Reserve Product statement creates a process requirement for a matching product to be available and reserves it for this process.
 Note: This is a requirement statement and thus can be only added to the Requirements routine of a process routine."""

VC_STATEMENT_RESERVERESOURCE : Any = ...
VC_STATEMENT_RETURN : Any = ...
"""Ends the execution of a called subroutine and returns to caller of that routine."""

VC_STATEMENT_RUNROBOTROUTINE : Any = ...
"""Waits until the robot is idle, then evaluates the given RoutineName expression and tries to find the routine, then start the routine, and waits until the routine has been executed to completion."""

VC_STATEMENT_SCRIPT : Any = ...
VC_STATEMENT_SELECTPRODUCTS : Any = ...
"""Copies product instance references from one list to another variable. Product type filtering can be applied to only copy some product references."""

VC_STATEMENT_SENDSIGNAL : Any = ...
"""Send Signal statement sends a simulation signal, i.e. triggers a vcSignal behavior, with a given value."""

VC_STATEMENT_SETBIN : Any = ...
"""Creates an output signal map (bool), e.g. pick up and retain a box with a robot's tool."""

VC_STATEMENT_SETNEXTFLOWSTEP : Any = ...
"""Overwrites the next process information in product instances, enabling jumps and loops."""

VC_STATEMENT_SETNODEMATERIAL : Any = ...
"""Set Node Material statement changes the material of a node in one or more product instances’ components."""

VC_STATEMENT_SETNODEVISIBILITY : Any = ...
"""Changes the visibility of a node in one or more product instances’ components."""

VC_STATEMENT_SETPRODUCTVISITSTATE : Any = ...
"""A process statement that assigns (and resets) the state of how many times a product instance has visited some process."""

VC_STATEMENT_SETPROPERTY : Any = ...
VC_STATEMENT_SETROBOTSTATISTICSSTATE : Any = ...
"""Creates a statement that sets a statistics state for the robot."""

VC_STATEMENT_SETSTATISTICSFLOW : Any = ...
"""Flow statement updates statistics behavior and it records one or more products’ components transferring in or out. If more than one product is given as input, they are all recorded at once."""

VC_STATEMENT_SETSTATISTICSSTATE : Any = ...
"""Sets the current state of a statistics behavior."""

VC_STATEMENT_STARTTRANSPORTIN : Any = ...
"""Start Transport In statement transports one or more products into the process. More than one pre-reserved product can be transported in, otherwise transports only a single product.
 The statement execution is asynchronous, meaning that next statements may execute before the transport is finished. Must be used in combination with the Wait Transport statement."""

VC_STATEMENT_STARTTRANSPORTOUT : Any = ...
"""Transports one or more products out from the process in parallel. The statement execution is asynchronous, meaning that next statements may execute before the transport is finished. Must be used in combination with the Wait Transport statement."""

VC_STATEMENT_STATISTICS : Any = ...
VC_STATEMENT_SWITCHCASE : Any = ...
"""Creates a statement which executes a specific case based on a condition."""

VC_STATEMENT_TRANSPORTIN : Any = ...
"""Transport In statement sequentially transports one or more products into the process and waits until they have arrived. More than one pre-reserved product can be transported in, otherwise transports only a single product."""

VC_STATEMENT_TRANSPORTOUT : Any = ...
"""Defines a transport node where to send the products using the transport system."""

VC_STATEMENT_TRANSPORTPATTERNIN : Any = ...
"""Sequentially transports products into a regular grid pattern and waits until they have arrived."""

VC_STATEMENT_UNKNOWN : Any = ...
VC_STATEMENT_USESKILL : Any = ...
VC_STATEMENT_VIEW : Any = ...
VC_STATEMENT_WAITBIN : Any = ...
"""Creates an input signal map (bool), e.g. a robot waits to receive a signal from another component before executing other statements."""

VC_STATEMENT_WAITPRODUCT : Any = ...
VC_STATEMENT_WAITPROPERTYCONDITION : Any = ...
"""Waits for a variable’s value to pass a specified condition."""

VC_STATEMENT_WAITSIGNAL : Any = ...
"""Wait Signal statement waits for signal to be triggered with a value that matches a given condition or until an optional timeout is reached."""

VC_STATEMENT_WAITTRANSPORT : Any = ...
"""Wait Transport statement waits for one or more transport operations started with StartTransportIn or StartTransportOut statements to complete."""

VC_STATEMENT_WHILE : Any = ...
"""Creates a conditional statement for executing a collection of statements in a loop while a given expression evaluates as True."""

VC_STATEMENT_WORK : Any = ...
"""Sends a work request to a transport controller and waits until the work is complete."""

VC_STATISTICS : Any = ...
"""vcStatistics"""

VC_STATISTICS_BLOCKED : int = 5
"""Reports when a component is in a blocked state."""

VC_STATISTICS_BREAK : int = 2
"""Reports when a component is in a break state."""

VC_STATISTICS_BROKEN : int = 6
"""Reports when a component is in a broken state."""

VC_STATISTICS_BUSY : int = 4
"""Reports when a component is in a busy state."""

VC_STATISTICS_IDLE : int = 3
"""Reports when a component is in an idle state."""

VC_STATISTICS_REPAIR : int = 7
"""Reports when a component is in a repair state."""

VC_STATISTICS_SETUP : int = 8
"""Reports when a component is in a setup state."""

VC_STATISTICS_UNKNOWN : Any = ...
VC_STATISTICS_WARMUP : int = 1
"""Reports when a component is in a warm up state."""

VC_STATISTICSFLOWDIRECTION_ENTER : Any = ...
"""Product enters."""

VC_STATISTICSFLOWDIRECTION_LEAVE : Any = ...
"""Product leaves."""

VC_STRING : Any = ...
"""A string property."""

VC_STRINGPROPERTYCREATOR : Any = ...
"""vcFlow"""

VC_STRINGSIGNAL : Any = ...
"""vcStringSignal"""

VC_SWEPT_HULL_FROM_HULLS : int = 1
"""Uses hull from hulls method to generate geometry."""

VC_SWEPT_HULL_FROM_SILHOUETTES : int = 2
"""Uses hull from silhouettes method to generate geometry."""

VC_SWEPT_LOFTING : int = 0
"""Uses lofting to generate swept geometry."""

VC_SWEPT_SILHOUETTE_PAINTING : Any = ...
VC_SWITCH : Any = ...
VC_TABLE_FEED_MODE : Any = ...
VC_TARGETPROCESSMODE_ALLPROCESSES : Any = ...
"""The statement will affect all previously visited process groups."""

VC_TARGETPROCESSMODE_CURRENTPROCESS : Any = ...
"""The statement will affect the process group the product instance is currently in."""

VC_TARGETPROCESSMODE_SPECIFICPROCESSES : Any = ...
"""The statement will affect all selected processes from Processes property."""

VC_TEXT : Any = ...
VC_TILETYPE_ACTUALTILE : Any = ...
"""Location is not empty."""

VC_TILETYPE_DUMMY : Any = ...
"""Location is used for grid layout purposes only."""

VC_TILETYPE_PLACEHOLDER : Any = ...
"""Location is empty."""

VC_TIMESOURCE_DISTRIBUTION : Any = ...
"""Sample from a distribution."""

VC_TIMESOURCE_EXPRESSION : Any = ...
"""Evaluate an expression."""

VC_TOOLCONTAINER : Any = ...
"""vcBehaviour"""

VC_TOOLEXPORTFIELD : int = 5
"""Exports/Imports joint definitions allowing connected component to use external tools."""

VC_TOOLSIZE_IMAGE_AND_TEXT_LARGE : Any = ...
"""The tool image is shown as large with text."""

VC_TOOLSIZE_IMAGE_AND_TEXT_NORMAL : Any = ...
"""The tool image is shown as normal with text."""

VC_TOOLSIZE_IMAGE_ONLY : Any = ...
"""Only the tool image is shown."""

VC_TRACKWORLDFRAME_ROBOTWORLD : Any = ...
"""The Robot World Frame of robot is used not the track origin."""

VC_TRACKWORLDFRAME_TRACKBASE : Any = ...
VC_TRACKWORLDFRAME_TRACKORIGIN : Any = ...
"""The origin of track component is used as Robot World Frame."""

VC_TRANSFORM : Any = ...
VC_TRANSPORT : Any = ...
"""vcBehaviour"""

VC_TRANSPORTCONTROLLER : Any = ...
VC_TRANSPORTFIELD : int = 9
"""Used for input/output of transportation tasks via a Transport Protocol, e.g. two conveyors send pickup requests and the request is outputted to a resource."""

VC_TRANSPORTINTYPE_CONTAINER : Any = ...
"""Wait for a matching product to arrive to a component container."""

VC_TRANSPORTINTYPE_PREVIOUSPROCESS : Any = ...
"""Reserve a product instance and use the transport system to transport it."""

VC_TRANSPORTNODE : Any = ...
"""vcTransportNode"""

VC_TRANSPORTOUTTYPE_CONTAINER : Any = ...
"""Place the product to a component container."""

VC_TRANSPORTOUTTYPE_NEXTPROCESS : Any = ...
"""Send the product to the next process by using the transport system."""

VC_TRANSPORTOUTTYPE_TRANSPORTNODE : Any = ...
"""Send the product to a transport node using the transport system."""

VC_TRIANGLESET : Any = ...
"""Contains triangle sets."""

VC_TWODIRECTIONALPATH : Any = ...
"""(Deprecated) vcContainer"""

VC_TWOWAYPATH : Any = ...
"""vcMotionPath"""

VC_URI : Any = ...
"""An Uri property."""

VC_USE_FEATURE_BACKFACE_MODE : Any = ...
"""Backfaces of component geometry are visible or invisible based on the ShowBackfaces property of each Geometry feature."""

VC_VALUEMODE_ABSOLUTE : Any = ...
"""The value is set as the current visit count."""

VC_VALUEMODE_RELATIVE : Any = ...
"""The value is added to the current visit count."""

VC_VECTOR : Any = ...
"""A vector property."""

VC_VEHICLE : Any = ...
"""vcBehaviour"""

VC_VERTEXCOLOR : Any = ...
"""Vertex color overrides the lighting calculations."""

VC_VERTEXCOLOR_LIGHTED : Any = ...
"""Lighting calculation is blended with the color of the vertex."""

VC_VOLUMESENSOR : Any = ...
"""vcBehaviour"""

VC_WEDGE : Any = ...
VC_WORLD : Any = ...
"""Node is world root."""
