from typing import *
from vcApi import *

def condition(condition: Callable[[], None], timeout: float = ...) -> None:
    """Runs a conditional test that stops process execution until a given function returns a True value.
 The given function can either be a lambda function or one defined in Script.
 Evaluation of condition is done continuously.
 NOTE: implementation is different in vcScript"""
    pass

def delay(time: float) -> None:
    """Executes timed delay during process execution."""
    pass

def evaluateCondition() -> None:
    """Triggers the evaluation of an active condition() or triggerCondition() function in the script."""
    pass

def getApplication() -> vcApplication:
    """Returns the application object."""
    pass

def getComponent() -> vcComponent:
    """Returns the component containing the process handler."""
    pass

def getSimulation() -> vcSimulation:
    """Returns the simulation object."""
    pass

def getTrigger() -> vcBehaviour:
    """Returns the object triggering an event in Script; otherwise returns None.
 This method is only useful in a condition function passed to condition() and triggerCondition() methods.
 Note: A trigger, for example, is a signal or action connected to process handler."""
    pass

def resumeRun() -> None:
    """Resumes the execution of a suspended OnRun() function."""
    pass

def suspendRun() -> None:
    """Stops the execution of an OnRun() function."""
    pass

def triggerCondition(condition: Callable[[], None], timeout: float = ...) -> None:
    """Runs a conditional test, triggered during a simulation, that stops process execution until a given function returns a True value.
 The given function can either be a lambda function or one defined in Script.
 Evaluation of condition is done each time a trigger of process handler occurs during a simulation.
 NOTE: implementation is different in vcScript"""
    pass
