from typing import *
from vcApi import *

def condition(expression_function: Callable[[], None], timeout: float = ...) -> bool:
    """Delays the execution of script until a given function returns a True value or timeout period.
 The first evaluation of the function is immediate, and then each subsequent test is triggered, for example, by signal connected to script. The default timeout period is zero.
 Returns a True value if condition is True before timeout, otherwise returns a False value.
 NOTE: implementation is different in vcPythonProcessHandler"""
    pass

def convertToByteCode() -> None:
    """Converts the code of script to bytecode.
 Generally, this method is used to encrypt the code of script."""
    pass

def delay(time: float) -> None:
    """Delays the execution of script for a given amount of time."""
    pass

def evaluateCondition() -> None:
    """Triggers the evaluation of an active condition() or triggerCondition() function in the script."""
    pass

def getApplication() -> vcApplication:
    """Returns the application object."""
    pass

def getComponent() -> vcComponent:
    """Returns the component of script."""
    pass

def getNode() -> vcNode:
    """Returns the node containing script."""
    pass

def getPythonDllPath() -> str:
    """Returns the Uri of Python DLL folder as a formatted string."""
    pass

def getSimulation() -> vcSimulation:
    """Returns the simulation object."""
    pass

def getTrigger() -> vcBehaviour:
    """Returns an object that acts as a trigger in script, for example a signal connected to script.
 Generally, this method is called in a condition() or triggerCondition() expression to evaluate a trigger."""
    pass

def resumeRun(timeout: float = ...) -> None:
    """Resumes the execution of OnRun, the main program of script, that was placed in suspended state."""
    pass

def suspendRun() -> None:
    """Suspends the execution of OnRun, the main program of script."""
    pass

def triggerCondition(expression_function: Callable[[], None], timeout: float = ...) -> bool:
    """Delays the execution of script until a given function returns a True value or timeout period.
 The evaluation of the function is triggered, for example, by signal connected to script. The default timeout period is zero.
 Returns a True value if condition is True before timeout, otherwise returns a False value.
 NOTE: implementation is different in vcPythonProcessHandler"""
    pass
